Subject: bug#30462: flyspell-auto-correct-word 'corrects' more than the current word

From: Dmitry Gutov <[email-masked]>
Date: Tue, 20 Feb 2018 02:24:32 +0200

On 2/17/18 6:09 PM, Eli Zaretskii wrote:

> I think I see the reason for this: it's a stale cache from a previous
> invocation of flyspell-auto-correct-word that is not flushed when you
> type more text or move point.  So flyspell-auto-correct-word tries to
> correct the same word het time you invoke it, no matter how far away
> are you.

So it seems like it was an implementation accident after all (i.e. a 
bug), rather than a old behavior worth preserving.

> Please try the patch below (you will need to byte-compile flyspell.el
> after applying the patch).  If it gives good results, please run with
> it for a while and see if there are any problems left.  If this change
> has no adverse effects, I will push it.

It does fix the scenarios I could come up with. Looks like a good change 
to me, thanks!